'use client';
import IconDownload from '@/components/icon/icon-download';
import IconEdit from '@/components/icon/icon-edit';
import IconPlus from '@/components/icon/icon-plus';
import IconPrinter from '@/components/icon/icon-printer';
import IconSend from '@/components/icon/icon-send';
import Link from 'next/link';
import React from 'react';

export default function() {
    const exportTable = () => {
        window.print();
    };

    const items = [
        {
            id: 1,
            title: 'Calendar App Customization',
            quantity: 1,
            price: '120',
            amount: '120',
        },
        {
            id: 2,
            title: 'Chat App Customization',
            quantity: 1,
            price: '230',
            amount: '230',
        },
        {
            id: 3,
            title: 'Laravel Integration',
            quantity: 1,
            price: '405',
            amount: '405',
        },
        {
            id: 4,
            title: 'Backend UI Design',
            quantity: 1,
            price: '2500',
            amount: '2500',
        },
    ];

    const columns = [
        {
            key: 'id',
            label: 'ردیف',
        },
        {
            key: 'title',
            label: 'عنوان',
        },
        {
            key: 'quantity',
            label: 'تعداد',
        },
        {
            key: 'price',
            label: 'قیمت',
            class: 'ltr:text-right rtl:text-left',
        },
        {
            key: 'amount',
            label: 'مجموع',
            class: 'ltr:text-right rtl:text-left',
        },
    ];

    return (
        <div>
            <div className="mb-6 flex flex-wrap items-center justify-center gap-4 lg:justify-end">
                <button type="button" className="btn btn-info gap-2">
                    <IconSend />
                    ارسال
                </button>

                <button type="button" className="btn btn-primary gap-2" onClick={() => exportTable()}>
                    <IconPrinter />
                    پرینت
                </button>

                <button type="button" className="btn btn-success gap-2">
                    <IconDownload />
                    دانلود
                </button>

                <Link href="/apps/invoice/add" className="btn btn-secondary gap-2">
                    <IconPlus />
                    ایجاد
                </Link>

                <Link href="/apps/invoice/edit" className="btn btn-warning gap-2">
                    <IconEdit />
                    ویرایش
                </Link>
            </div>
            <div className="panel">
                <div className="flex flex-wrap justify-between gap-4 px-4">
                    <div className="text-2xl font-semibold uppercase">فاکتور</div>
                    <div className="shrink-0">
                        <img src="/assets/images/logo.png" alt="img" className="w-28 ltr:ml-auto rtl:mr-auto" />
                    </div>
                </div>
                <div className="px-4 ltr:text-right rtl:text-left">
                    <div className="mt-6 space-y-1 text-white-dark">
                        <div>البرز - خ البرز - محله البرز</div>
                        <div>vristo@gmail.com</div>
                        <div>09105969906</div>
                    </div>
                </div>

                <hr className="my-6 border-white-light dark:border-[#1b2e4b]" />
                <div className="flex flex-col flex-wrap justify-between gap-6 lg:flex-row">
                    <div className="flex-1">
                        <div className="space-y-1 text-white-dark">
                            <div>Issue For:</div>
                            <div className="font-semibold text-black dark:text-white">جان اسنو</div>
                            <div>البرز - خ البرز - محله البرز</div>
                            <div>vristo@gmail.com</div>
                            <div>09105969906</div>
                        </div>
                    </div>
                    <div className="flex flex-col justify-between gap-6 sm:flex-row lg:w-2/3">
                        <div className="xl:1/3 sm:w-1/2 lg:w-2/5">
                            <div className="mb-2 flex w-full items-center justify-between">
                                <div className="text-white-dark">شماره فاکتور :</div>
                                <div>#8701</div>
                            </div>
                            <div className="mb-2 flex w-full items-center justify-between">
                                <div className="text-white-dark">تاریخ صدور :</div>
                                <div>13 Sep 2022</div>
                            </div>
                            <div className="mb-2 flex w-full items-center justify-between">
                                <div className="text-white-dark">شماره سفارش :</div>
                                <div>#OD-85794</div>
                            </div>
                            <div className="flex w-full items-center justify-between">
                                <div className="text-white-dark">شناسه حمل و نقل :</div>
                                <div>#SHP-8594</div>
                            </div>
                        </div>
                        <div className="xl:1/3 sm:w-1/2 lg:w-2/5">
                            <div className="mb-2 flex w-full items-center justify-between">
                                <div className="text-white-dark">بانک:</div>
                                <div className="whitespace-nowrap">ملت</div>
                            </div>
                            <div className="mb-2 flex w-full items-center justify-between">
                                <div className="text-white-dark">شماره حساب:</div>
                                <div>1234567890</div>
                            </div>

                        </div>
                    </div>
                </div>
                <div className="table-responsive mt-6">
                    <table className="table-striped">
                        <thead>
                        <tr>
                            {columns.map((column) => {
                                return (
                                    <th key={column.key} className={column?.class}>
                                        {column.label}
                                    </th>
                                );
                            })}
                        </tr>
                        </thead>
                        <tbody>
                        {items.map((item) => {
                            return (
                                <tr key={item.id}>
                                    <td>{item.id}</td>
                                    <td>{item.title}</td>
                                    <td>{item.quantity}</td>
                                    <td className="ltr:text-right rtl:text-left">${item.price}</td>
                                    <td className="ltr:text-right rtl:text-left">${item.amount}</td>
                                </tr>
                            );
                        })}
                        </tbody>
                    </table>
                </div>
                <div className="mt-6 grid grid-cols-1 px-4 sm:grid-cols-2">
                    <div></div>
                    <div className="space-y-2 ltr:text-right rtl:text-left">
                        <div className="flex items-center">
                            <div className="flex-1">جمع</div>
                            <div className="w-[37%]">$3255</div>
                        </div>
                        <div className="flex items-center">
                            <div className="flex-1">مالیات</div>
                            <div className="w-[37%]">$700</div>
                        </div>
                        <div className="flex items-center">
                            <div className="flex-1">هزینه حمل و نقل</div>
                            <div className="w-[37%]">$0</div>
                        </div>
                        <div className="flex items-center">
                            <div className="flex-1">تخفیف</div>
                            <div className="w-[37%]">$10</div>
                        </div>
                        <div className="flex items-center text-lg font-semibold">
                            <div className="flex-1">جمع پرداختی</div>
                            <div className="w-[37%]">$3945</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    );
}
